@charset "UTF-8";

/*
	##### SATAKE RECRUIT #####
	/index/css/top_sp.css
*/


main {
  padding-top: calc(194/750*100vw)
}

/* --------------------------------------------------
splash elements
-------------------------------------------------- */
.splash_area {
  position: relative;
  display: block;
  width: 88vw;
  margin: 0 auto;
  height: calc(495/750*100vw);
  overflow: visible
}

.splash_area .splash_set,
.splash_area .masking_block,
.splash_area img {
  width: 88vw;
  height: calc(700/750*100vw);
}

.splash_area .splash_set,
.splash_area .masking_block,
.splash_area .steps {
  position: absolute;
  display: block;
  top: 0;
  left: 0;
}
.splash_area .steps {
  width: 100%;
  height: 100%;
  overflow: hidden
}
.splash_area .step1 {
  opacity: 0;
  transform-origin: 0% 30%;
  animation: zoom_back .8s cubic-bezier(.76,0,.8,1.8) 1s forwards
}
.splash_area .step2 {
  opacity: 0;
  transform-origin: 50% 30%;
  animation: zoom_back .8s cubic-bezier(.76,0,.8,1.8) 1.8s forwards
}
.splash_area .step2b {
  opacity: 0;
  transform-origin: 50% 50%;
  animation: zoom_back .8s cubic-bezier(.76,0,.8,1.8) 2.6s forwards
}
.splash_area .step3,
.splash_area .step3b {
  width: 0;
  transform-origin: 0 50%;
  animation: wipe_in .5s ease-in-out 3.4s forwards
}
.splash_area .step4 {
  width: 0;
  transform-origin: 0 50%;
  animation: wipe_in .5s ease-in-out 3.9s forwards
}

.splash_area.fo .splash_set {
  animation: fade_out .7s ease forwards
}

@keyframes wipe_in {
  0% {
    width: 0;
  }
  100% {
    width: 100%
  }
}
@keyframes zoom_back {
  0% {
    opacity: 0;
    transform: scale(2.2)
  }
  100% {
    opacity: 1;
    transform: scale(1)
  }
}
@keyframes fade_out {
  0% {
    opacity: 1;
  }
  100% {
    opacity: 0;
  }
}

/* --------------------------------------------------
video elements
-------------------------------------------------- */
.video_area {
  position: absolute;
  top: 0;
  left: 0;
  display: block;
  width: 100%;
  height: calc(495/750*100vw);
}

.video_area::after {
  position: absolute;
  left: 50%;
  top: 50%;
  content: '';
  display: block;
  width: 105%;
  height: 105%;
  transform: translate(-50%, -50%);
  background-color: #fff
}
.splash_area.fo .video_area::after {
  animation: fade_out .7s ease forwards
}

.video_area video {
	position: absolute;
	top: 0;
	left: 50%;
	transform: translateX(-50%);
	height: 100%;
	width: 100%;
  z-index: -1;
}

/* --------------------------------------------------
SCROLL MARK
-------------------------------------------------- */
.scroll_mark {
  display: block;
  text-align: center;
  opacity: 0;
  margin: calc(90/750*100vw) auto calc(150/750*100vw)
}
.fo + .scroll_mark {
  opacity: 1;
  transition: opacity 2s ease 1.7s
}
.scroll_txt {
  font-size: calc(20/750*100vw);
  font-weight: 500;
  letter-spacing: 0.08em;
  position: relative;
  color: currentColor;
  text-decoration: none;
  padding: 0 1em 1em
}
.scroll_txt::after {
  content: "\e874";
  font-family: "Linearicons-Free";
  font-size: calc(18/750*100vw);
  position: absolute;
  top: calc(25/750*100vw);
  left: 50%;
  animation: scroll_infinity 1.5s cubic-bezier(0.33, 1, 0.68, 1) infinite
}
@keyframes scroll_infinity {
  0% {
    opacity: .1;
    transform: translate(-50%, 0);
  }
  50% {
    opacity: 1;
    transform: translate(-50%, 70%)
  }
  100% {
    opacity: .1;
    transform: translate(-50%, 0)
  }
}


/* --------------------------------------------------
BUTTON MENUS
-------------------------------------------------- */
.cont_ttl {
  font-size: calc(30/750*100vw);
  font-weight: 900;
  text-align: center;
  letter-spacing: 0.1em;
  color: #8fc31f;
  margin-bottom: calc(60/750*100vw)
}
.bttn_box img {
  width: 100%;
  height: auto
}
.bttn_box {
  display: block;
  width: 88vw;
  margin: 0 auto
}
.bttn_box li,
.bttn_box li a {
  display: block;
  box-sizing: border-box;
}
.bttn_box li {
  position: relative;
  float: left;
  margin-bottom: calc(12/750*100vw)
}
.bttn_box li a {
  width: 100%;
  height: 100%;
  position: relative;
  overflow: hidden;
}

/* --------------------------------------------------
ベストモチベーションカンパニーアワード
-------------------------------------------------- */
.bttn_box li:nth-child(1) {
  width: 88vw;
  height: calc(132/750*100vw);
}

/* --------------------------------------------------
MOVIES BUTTONS
-------------------------------------------------- */
.bttn_box li:nth-child(2) {
  display: none
}
.bttn_box li:nth-child(3),
.bttn_box li:nth-child(4) {
  width: calc(323/750*100vw);
  height: calc(158/750*100vw);
  opacity: 0
}
/* .bttn_box li:nth-child(3), */
.bttn_box li:nth-child(4) {
  margin-left: calc(12/750*100vw)
}

  /* 登場アニメ */
.bttn_box li.start:nth-child(3) {
  animation: fadein 1s cubic-bezier(0.33, 1, 0.68, 1) .75s forwards
}
.bttn_box li.start:nth-child(4) {
  animation: fadein 1s cubic-bezier(0.33, 1, 0.68, 1) 1s forwards
}
/* .bttn_box li.start:nth-child(4) {
  animation: fadein 1s cubic-bezier(0.33, 1, 0.68, 1) 1.25s forwards
} */

  /* 背景 */
.bttn_box li:nth-child(2) a,
.bttn_box li:nth-child(3) a,
.bttn_box li:nth-child(4) a {
  background-image: url(/index/images/bttn-02_bg2.png);
  background-repeat: no-repeat;
  background-position: center;
  background-size: cover;
}


/* --------------------------------------------------
制度・取り組み / 採用情報
-------------------------------------------------- */
.bttn_box li:nth-child(5) {
  width: calc(390/750*100vw);
  height: calc(185/750*100vw);
}
.bttn_box li:nth-child(6) {
  width: calc(258/750*100vw);
  height: calc(185/750*100vw);
  float: right;
}

/* --------------------------------------------------
経営者メッセージ / ありがとうワード
-------------------------------------------------- */
.bttn_box li:nth-child(7) {
  width: calc(265/750*100vw);
  height: calc(186/750*100vw);
  opacity: 0;
}
.bttn_box li:nth-child(8) {
  width: calc(384/750*100vw);
  height: calc(384/750*100vw);
  float: right;
  opacity: 0;
}

  /* 登場アニメ */
.bttn_box li.start:nth-child(7) {
  animation: fadein 1s cubic-bezier(0.33, 1, 0.68, 1) .75s forwards
}
.bttn_box li.start:nth-child(8) {
  animation: fadein 1s cubic-bezier(0.33, 1, 0.68, 1) 1s forwards
}


/* --------------------------------------------------
商売人たち [画像がはみ出ているため2重構造]
-------------------------------------------------- */
.bttn_box li:nth-child(9) {
  width: calc(265/750*100vw);
  height: calc(186/750*100vw);
  opacity: 0;
}
.bttn_box li:nth-child(9) a {
  width: calc(257/750*100vw);
  height: calc(178/750*100vw);
}

  /* 登場アニメ */
.bttn_box li.start:nth-child(9) {
  animation: fadein 1s cubic-bezier(0.33, 1, 0.68, 1) .9s forwards
}

/* --------------------------------------------------
DRAW THE LINE
-------------------------------------------------- */
.bttn_box .draw_the_line::before,
.bttn_box .draw_the_line::after,
.bttn_box .draw_the_line a::before,
.bttn_box .draw_the_line a::after {
  position: absolute;
  content: '';
  background-color: #8fc31f;
  z-index: +5;
}
.bttn_box .draw_the_line::before,
.bttn_box .draw_the_line::after {
  width: 0;
  height: calc(4/750*100vw);
}
.bttn_box .draw_the_line a::before,
.bttn_box .draw_the_line a::after {
  width: calc(4/750*100vw);
  height: 0
}
.bttn_box .draw_the_line.start::before {
  top: 0;
  left: 0;
  animation: expand_horizontal .5s linear .5s forwards
}
.bttn_box .draw_the_line.start::after {
  bottom: 0;
  right: 0;
  animation: expand_horizontal .5s linear 1.25s forwards
}
.bttn_box .draw_the_line.start a::before {
  top: 0;
  right: 0;
  animation: expand_vertical .25s linear 1s forwards
}
.bttn_box .draw_the_line.start a::after {
  bottom: 0;
  left: 0;
  animation: expand_vertical .25s linear 1.75s forwards
}

/* --------------------------------------------------
DRAW THE LINE内の画像登場アニメ [imgはhover用に使用するため、spanに適用]
-------------------------------------------------- */
.bttn_box .draw_the_line a span {
  display: block;
  width: 100%;
  height: 100%;
  opacity: 0;
}
.bttn_box .draw_the_line.start a span {
  animation: fade_and_zoom .5s ease-out 1.5s forwards
}

/* DRAW THE LINE [商売人たち] 専用  右ライン */
.bttn_box li:nth-child(9).draw_the_line.start a::before {
  top: 0;
  right: calc(12/750*100vw);
  animation: expand_vertical .25s linear 1s forwards;
  z-index: -1;
}

/* DRAW THE LINE [採用情報] 専用  タイミングずらして登場 */
.bttn_box li:nth-child(6).draw_the_line.start::before {
  top: 0;
  left: 0;
  animation: expand_horizontal .5s linear 1s forwards
}
.bttn_box li:nth-child(6).draw_the_line.start::after {
  bottom: 0;
  right: 0;
  animation: expand_horizontal .5s linear 1.75s forwards
}
.bttn_box li:nth-child(6).draw_the_line.start a::before {
  top: 0;
  right: 0;
  animation: expand_vertical .25s linear 1.5s forwards
}
.bttn_box li:nth-child(6).draw_the_line.start a::after {
  bottom: 0;
  left: 0;
  animation: expand_vertical .25s linear 2.25s forwards
}

/* DRAW THE LINE 画像登場アニメ [採用情報] タイミングずらして登場 */
.bttn_box li:nth-child(6).draw_the_line.start span {
  animation: fade_and_zoom .5s ease-out 2s forwards
}


/* --------------------------------------------------
DRAW THE LINE内の画像拡大 [hover]
-------------------------------------------------- */
.bttn_box .draw_the_line a img {
  transform: scale(1);
  transition: transform .3s ease
}
.bttn_box .draw_the_line a:hover img {
  transform: scale(1.1);
}

/* --------------------------------------------------
 [商売人たち] 専用 coming-soon
-------------------------------------------------- */
.no_action_line {
  border: calc(4/750*100vw) solid rgb(143, 195, 31)
}
.no_action_line .coming_soon::before {
  top: calc(-4/750*100vw);
  left: calc(-4/750*100vw);
  width: calc(376/750*100vw);
  height: calc(186/750*100vw)
}
.no_action_line .coming_soon::after {
  right: calc(-4/750*100vw);
  bottom: calc(-4/750*100vw);
}
